# -*- coding: utf-8 -*-
#########################################################################
#                                                                       #
#                                                                       #
#########################################################################
#                                                                       #
# Copyright (C) 2009-2012  Akretion, Emmanuel Samyn						#
#                                                                       #
#This program is free software: you can redistribute it and/or modify   #
#it under the terms of the GNU General Public License as published by   #
#the Free Software Foundation, either version 3 of the License, or      #
#(at your option) any later version.                                    #
#                                                                       #
#This program is distributed in the hope that it will be useful,        #
#but WITHOUT ANY WARRANTY; without even the implied warranty of         #
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
#GNU General Public License for more details.                           #
#                                                                       #
#You should have received a copy of the GNU General Public License      #
#along with this program.  If not, see <http://www.gnu.org/licenses/>.  #
#########################################################################

from osv import fields, osv
from lxml import etree

# TO REFACTOR IN EXTERNAL_REFERENTIAL
class account_external_payment(osv.osv):
    """
    Manage payment outsourcing
    """
    _name = "external.payment"
    _description = "Manage payment outsourcing"
    _columns = {
        'name': fields.char('Payment name', size=64, required=True,help="Name of the payment solution / provider"), 
        'create_url': fields.char('Create payment url', size=128, required=True,help="Create URL of the payment solution / provider"),
        'update_url': fields.char('Update payment url', size=128, required=True,help="Update URL of the payment solution / provider"),
        'account': fields.char('Account', size=128, required=True,help="account to connect to the payment solution / provider"),
        'user': fields.char('User', size=128, required=True,help="user to connect to the payment solution / provider"),
        'password': fields.char('Password', size=128, required=True,help="pwd to connect to the payment solution / provider"),  
    }

    # Method to export all waiting orders to this payment supplier
    def mass_export(self, cr, uid, ids,context='none'):
        raise osv.except_osv(_('Error !'), _('To send all prepared refund. NOT YET IMPLEMENTED !'))
        payment_order_obj = self.pool.get('payment.order')
        orders = payment_order_obj.browse(cr, uid,ids)
        for order in orders:
            print order
            if order.external_payment.id==self.browse(cr, uid,ids)[0].id and order.state=='open':
                print 'in open state and ogone'
                for payment_line in order.line_ids:
                    print payment_line.export_state
# ONLY FOR bank transfert (no CB) ; TODO next : add wizzard to select all payment order and file CC details in mass                        
        return True
 
                        
account_external_payment()    

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
